local colors <const> = {
  black = 0xff1e1e2e,
  white = 0xffcdd6f4,
  red = 0xfff38ba8,
  green = 0xffa6e3a1,
  blue = 0xff89b4fa,
  yellow = 0xfff9e2af,
  orange = 0xfffab387,
  magenta = 0xffcba6f7,
  purple = 0xffb4befe,
  other_purple = 0xfff5c2e7,
  cyan = 0xff94e2d5,
  grey = 0xff6c7086,
  dirty_white = 0xffa6adc8,
  dark_grey = 0xff585b70,
  transparent = 0xff1e1e2e,
  bar = {
    bg = 0xff1e1e2e,
    border = 0xff1e1e2e,
  },
  popup = {
    bg = 0xff1e1e2e,
    border = 0xff2c2e34,
  },
  slider = {
    bg = 0xff1e1e2e,
    border = 0xff2c2e34,
  },
  bg1 = 0xff1e1e2e,
  bg2 = 0xff302c45,

  with_alpha = function(color, alpha)
    if alpha > 1.0 or alpha < 0.0 then return color end
    return (color & 0x00ffffff) | (math.floor(alpha * 255.0) << 24)
  end,
}

return colors
